#include <iostream>
using namespace std;

int main() {

    int A, B, C, D, E, c = 1;
    cin >> A >> B >> C >> D >> E;
    int str1 = E;

    if (A < B) swap(A, B);
    if (B < C) swap(B, C);
    if (A < B) swap(A, B);
    if (C < D) swap(C, D);
    if (B < C) swap(B, C);
    if (A < B) swap(A, B);

    str1 -= A;

    if (str1 < D) {
        c++;
        str1 = E - B;
        if (str1 < D) {
            c++;
            str1 = E - C;
            if (str1 < D) c++;
        } else if (str1 >= D && str1 < C) c++;
    } else if (str1 >= D && str1 < C) {
        c++;
        str1 = E - B;
        if (str1 < C) c++;
    } else if (str1 >= C && str1 < B) c++;

    cout << c;

    return 0;

}
